Package org.apache.tapestry5.model

## Interface EmbeddedComponentModel

- All Superinterfaces:
    `Locatable`
  All Known Subinterfaces:
    `MutableEmbeddedComponentModel`
  All Known Implementing Classes:
    `MutableEmbeddedComponentModelImpl`

      public interface EmbeddedComponentModel
      extends Locatable

  The model for a component embedded within another component, as defined by the `Component` annotation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getComponentClassName()` | The class name of the component, as derived from the field to which the `Component` annotation is applied.
    `java.lang.String` | `getComponentType()` | The type of the component, which may be blank.
    `java.lang.String[]` | `getConstraintsForMixin​(java.lang.String mixinClassName)` |
    `java.lang.String` | `getId()` | A unique id for the embedded component.
    `boolean` | `getInheritInformalParameters()` | If true, then the component should inherit informal parameters from its container.
    `java.util.List<java.lang.String>` | `getMixinClassNames()` | Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.
    `java.util.List<java.lang.String>` | `getParameterNames()` | A sorted list of the names of all bound parameters.
    `java.lang.String` | `getParameterValue​(java.lang.String parameterName)` | The value for each parameter, which will be interpreted as a binding expression.
    `java.util.List<java.lang.String>` | `getPublishedParameters()` | Returns the list of published parameters of this component (usually an empty list).

    - ### Methods inherited from interface org.apache.tapestry5.commons.Locatable

      `getLocation`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      A unique id for the embedded component.

    - #### getComponentType

          java.lang.String getComponentType()

      The type of the component, which may be blank.

    - #### getComponentClassName

          java.lang.String getComponentClassName()

      The class name of the component, as derived from the field to which the `Component` annotation is applied. This value is only used when the componentType property is blank.

    - #### getParameterNames

          java.util.List<java.lang.String> getParameterNames()

      A sorted list of the names of all bound parameters.

    - #### getParameterValue

          java.lang.String getParameterValue​(java.lang.String parameterName)

      The value for each parameter, which will be interpreted as a binding expression.

    - #### getMixinClassNames

          java.util.List<java.lang.String> getMixinClassNames()

      Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.

    - #### getInheritInformalParameters

          boolean getInheritInformalParameters()

      If true, then the component should inherit informal parameters from its container.

    - #### getPublishedParameters

          java.util.List<java.lang.String> getPublishedParameters()

      Returns the list of published parameters of this component (usually an empty list).
      Returns:
        list of parameter names to publish
      Since:
        5.1.0.0
      See Also:
        `Component.publishParameters()`

    - #### getConstraintsForMixin

          java.lang.String[] getConstraintsForMixin​(java.lang.String mixinClassName)

      Parameters:
        `mixinClassName` -
      Returns:
        the ordering constraints for the specified mixin, or null.
      Since:
        5.2.0.0